# dask.dataframe.Index.to_dask_array

Index.to_dask_array(lengths=None, meta=None)

  Convert a dask DataFrame to a dask array.

  Parameters:
    lengths bool or Sequence of ints, optional

      How to determine the chunks sizes for the output array. By default, the output array will have unknown chunk lengths along the first axis, which can cause some later operations to fail.

      - True : immediately compute the length of each partition

      - Sequence : a sequence of integers to use for the chunk sizes on the first axis. These values are not validated for correctness, beyond ensuring that the number of items matches the number of partitions.

    meta object, optional

      An optional meta parameter can be passed for dask to override the default metadata on the underlying dask array.

  Returns: